## httpx-toolkit 1.1.5

=== Makefile ===
# Go parameters
GOCMD=go
GOBUILD=$(GOCMD) build
GOMOD=$(GOCMD) mod
GOTEST=$(GOCMD) test
GOGET=$(GOCMD) get
    
all: build
build:
		$(GOBUILD) -v -ldflags="-extldflags=-static" -o "httpx" cmd/httpx/httpx.go
test: 
		$(GOTEST) -v ./...
tidy:
		$(GOMOD) tidy

=== debian/changelog ===
httpx-toolkit (1.1.5-0kali2) kali-dev; urgency=medium

  * Add missing build-dep ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Feb 2022 15:34:44 +0100

httpx-toolkit (1.1.5-0kali1) kali-dev; urgency=medium

  * Initial release (see 7386)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Feb 2022 14:26:32 +0100

=== debian/control ===
Source: httpx-toolkit
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               ca-certificates,
               dh-golang,
               golang-any,
               golang-github-corpix-uarand-dev,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-logrusorgru-aurora-dev,
               golang-github-microcosm-cc-bluemonday-dev,
               golang-github-pkg-errors-dev,
               golang-github-remeh-sizedwaitgroup-dev,
               golang-github-rs-xid-dev,
               golang-golang-x-net-dev
Standards-Version: 4.6.0
Vcs-Browser: https://gitlab.com/kalilinux/packages/httpx-toolkit
Vcs-Git: https://gitlab.com/kalilinux/packages/httpx-toolkit.git
Homepage: https://github.com/projectdiscovery/httpx
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/projectdiscovery/httpx

Package: httpx-toolkit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: fast and multi-purpose HTTP toolkit
 This package contains the httpX toolkit developed by ProjectDiscovery. It's a
 fast and multi-purpose HTTP toolkit allow to run multiple probers using
 retryablehttp library, it is designed to maintain the result reliability with
 increased threads.
 .
 Features
  * Simple and modular code base making it easy to contribute.
  * Fast And fully configurable flags to probe multiple elements.
  * Supports multiple HTTP based probings.
  * Smart auto fallback from https to http as default.
  * Supports hosts, URLs and CIDR as input.
  * Handles edge cases doing retries, backoffs etc for handling WAFs.
 .
 This tool is packaged as 'httpx-toolkit' to avoid confusion and conflicts
 with the package python3-httpx that provides a script /usr/bin/httpx.

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	make

override_dh_auto_install:
	dh_auto_install -- --no-source
	cp httpx debian/httpx-toolkit/usr/bin/httpx-toolkit

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: httpx-toolkit -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%httpx-toolkit-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/projectdiscovery/httpx/tags .*/v?(\d\S*)\.tar\.gz debian
